Bug 855665 - Review Request: perl-Data-Validate-Type - Public interface to Params::Util offering data type validation functions
Review Request: perl-Data-Validate-Type - Public interface to Params::Util of...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 855666
  Show dependency treegraph
 
Reported: 2012-09-09 14:33 EDT by Emmanuel Seyman
Modified: 2012-09-26 05:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-20 16:40:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2012-09-09 14:33:06 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-Data-Validate-Type/perl-Data-Validate-Type.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Data-Validate-Type/perl-Data-Validate-Type-1.3.0-1.fc17.src.rpm
Description:
This module presents an alternative API to Params::Util which fixes a number
of drawbacks (function names start with an underscore, are uppercase and don't
pass PerlCritic validation).

Fedora Account System Username: eseyman
Comment 1 Petr Pisar 2012-09-14 05:04:25 EDT
Source tar ball is original (verified from <http://search.cpan.org/CPAN/authors/id/A/AU/AUBERTG/Data-Validate-Type-1.3.0.tar.gz>, SHA-256: 07427ea61b26a55a1afde85c5b3215ce714702903bd6ac0fe58d45f9904d215f). Ok.
Source0 and URL are usable. Ok.
Summary verified from lib/Data/Validate/Type.pm.
Description is Ok.
License verified from LICENSE, lib/Data/Validate/Type.pm, and t/LocalTest.pm. Ok.
No XS code, noarch BuildArch is Ok.

TODO: You can remove pruning empty directories from %install section.

TODO: Do not package ignore.txt as documentation.
TODO: Do not package META.json as documentation.

TODO: Build-require `perl(Exporter)' (lib/Data/Validate/Type.pm:6).
TODO: Build-require `perl(base)' (lib/Data/Validate/Type.pm:6).
TODO: Build-require `perl(lib)' (t/20-hashref.t:8).

All tests pass. Ok.

$ rpmlint perl-Data-Validate-Type.spec ../SRPMS/perl-Data-Validate-Type-1.3.0-1.fc19.src.rpm  ../RPMS/noarch/perl-Data-Validate-Type-1.3.0-1.fc19.noarch.rpm 
perl-Data-Validate-Type.src: W: spelling-error Summary(en_US) Util -> Til, U til, Until
perl-Data-Validate-Type.src: W: spelling-error %description -l en_US Util -> Til, U til, Until
perl-Data-Validate-Type.noarch: W: spelling-error Summary(en_US) Util -> Til, U til, Until
perl-Data-Validate-Type.noarch: W: spelling-error %description -l en_US Util -> Til, U til, Until
2 packages and 1 specfiles checked; 0 errors, 4 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Data-Validate-Type-1.3.0-1.fc19.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Sep 14 10:55 /usr/share/doc/perl-Data-Validate-Type-1.3.0
-rw-r--r--    1 root    root                      806 Sep  9 04:59 /usr/share/doc/perl-Data-Validate-Type-1.3.0/Changes
-rw-r--r--    1 root    root                     1662 Sep  9 04:59 /usr/share/doc/perl-Data-Validate-Type-1.3.0/META.json
-rw-r--r--    1 root    root                     1439 Sep  9 04:59 /usr/share/doc/perl-Data-Validate-Type-1.3.0/README
-rw-r--r--    1 root    root                      128 Sep  9 04:59 /usr/share/doc/perl-Data-Validate-Type-1.3.0/ignore.txt
-rw-r--r--    1 root    root                     4698 Sep 14 10:55 /usr/share/man/man3/Data::Validate::Type.3pm.gz
drwxr-xr-x    2 root    root                        0 Sep 14 10:55 /usr/share/perl5/vendor_perl/Data
drwxr-xr-x    2 root    root                        0 Sep 14 10:55 /usr/share/perl5/vendor_perl/Data/Validate
-rw-r--r--    1 root    root                    19674 Sep 14 10:55 /usr/share/perl5/vendor_perl/Data/Validate/Type.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Data-Validate-Type-1.3.0-1.fc19.noarch.rpm | sort | uniq -c
      1 perl(base)
      1 perl(Carp)
      1 perl(Data::Dump)
      1 perl(Exporter)
      1 perl(:MODULE_COMPAT_5.16.1)
      1 perl(Params::Util)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Data-Validate-Type-1.3.0-1.fc19.noarch.rpm | sort | uniq -c
      1 perl(Data::Validate::Type) = 1.3.0
      1 perl-Data-Validate-Type = 1.3.0-1.fc19
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Data-Validate-Type-1.3.0-1.fc19.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4483009). Ok.

Package is in line with Fedora and Perl packaging guidelines.


Please consider fixing `TODO' items before building this package.

Resolution: Package APPROVED.
Comment 2 Emmanuel Seyman 2012-09-14 05:42:23 EDT
(In reply to comment #1)
>
> TODO: You can remove pruning empty directories from %install section.
> 
> TODO: Do not package ignore.txt as documentation.
> TODO: Do not package META.json as documentation.
> 
> TODO: Build-require `perl(Exporter)' (lib/Data/Validate/Type.pm:6).
> TODO: Build-require `perl(base)' (lib/Data/Validate/Type.pm:6).
> TODO: Build-require `perl(lib)' (t/20-hashref.t:8).

I've implemented all of this.
Thank you for your review and spotting all of these.

Spec URL: http://people.parinux.org/~seyman/fedora/perl-Data-Validate-Type/perl-Data-Validate-Type.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-Data-Validate-Type/perl-Data-Validate-Type-1.3.0-2.fc17.src.rpm

New Package SCM Request
=======================
Package Name: perl-Data-Validate-Type
Short Description: Public interface to Params::Util offering data type validation functions
Owners: eseyman
Branches: f17 f18
InitialCC: perl-sig
Comment 3 Gwyn Ciesla 2012-09-14 07:02:07 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-09-14 08:47:47 EDT
perl-Data-Validate-Type-1.3.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Data-Validate-Type-1.3.0-2.fc17
Comment 5 Fedora Update System 2012-09-14 08:47:57 EDT
perl-Data-Validate-Type-1.3.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Data-Validate-Type-1.3.0-2.fc18
Comment 6 Fedora Update System 2012-09-16 13:10:27 EDT
perl-Data-Validate-Type-1.3.0-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 7 Fedora Update System 2012-09-20 16:40:38 EDT
perl-Data-Validate-Type-1.3.0-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 8 Fedora Update System 2012-09-26 05:12:46 EDT
perl-Data-Validate-Type-1.3.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.